/*
  Checks the stated of the left and right buttons,
  If 0 (triggered) tone is played for 1/2 second.
*/

#include "simpletools.h"                      // Include simpletools lib

int main()                                    // Main function
{
  
  // Freqout: pin, duration, frequency
  // Piezo speaker connected to pin P4
  // Signal program has started
  freqout(4, 200, 500);
  freqout(4, 200, 1000);
  freqout(4, 200, 2000);
  
  while(1)                                    // Start endless loop
  {
    int buttonRight = input(6);               // Pin P6 right switch
    int buttonLeft = input(5);                // Pin P5 left switch
  
    if (buttonRight == 0)                     // If right button is pressed
    {
      freqout(4, 500, 2000);                  // 2000Hz tone for 1/2 second
    }
    if (buttonLeft == 0)                      // If left button is pressed
    {
      freqout(4, 500, 1000);                  // 1000Hz tone for 1/2 second
    }      
  }
}
